#
# spec file for package instsource-susedata
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           instsource-susedata
Summary:        Utility to add susedata to repomd metadata
License:        GPL-2.0-only
Group:          System/Management
Version:        0.3.7
Release:        lp156.3.2
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       package-EULAs
BuildRequires:  inst-source-utils
BuildRequires:  perl(Locale::gettext)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(XML::Structured)
Requires:       inst-source-utils
Requires:       perl(Locale::gettext)
Requires:       perl(URI::Escape)
Requires:       perl(XML::Structured)
Supplements:    kiwi-instsource
BuildArch:      noarch

%description
This utility scans repodata and adds susedata and EULAs where needed.

%prep
%setup -q

%check
perl -wc add_product_susedata || exit 1

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 add_product_susedata $RPM_BUILD_ROOT/usr/bin

%files
%license COPYING
/usr/bin/add_product_susedata

%changelog
* Tue May  4 2021 ro@suse.de
- update to version 0.3.7
  * include fingerprint in the gpg keys (still bsc#1184326)
* Thu Apr 15 2021 ro@suse.de
- update to version 0.3.6
  * add option to add gpg keys as content tags (bsc#1184326)
* Wed Apr 29 2020 ro@suse.de
- update to version 0.3.5
  * drop pointless use of is_opensuse macro (jsc#SLE-11663)
* Wed Dec  5 2018 Adrian Schröter <adrian@suse.de>
- update to version 0.3.4
  * Add pattern-category (fate#323785)
* Tue Apr 24 2018 adrian@suse.de
- update to version 0.3.3
  * fix missing perl depency
  * dependency check during build
* Tue Apr 17 2018 adrian@suse.de
- update to version 0.3.2
  * fix invalid entries due to empty package descriptions (bsc#1089821)
* Fri Apr  6 2018 adrian@suse.de
- update to version 0.3.1
  * adding translate EULA as well
* Thu Mar 22 2018 adrian@suse.de
- update to version 0.3
  * add appdata-screenshots.tar and appdata-icons.tar.gz to repomd.xml
* Tue Mar 13 2018 adrian@suse.de
- update to version 0.2
  * creates i18n susedata files
- transfer source into git (including instsource-susedata-diskusage.patch)
* Mon Oct 17 2016 jengelh@inai.de
- Update descriptions
* Tue Sep 27 2016 ro@suse.de
- use is_opensuse for requiring proper EULAs package
* Tue Jul 26 2016 ro@suse.de
- add option "-p" for adding diskusage information to susedata
  (fate#320517)
* Wed Mar 12 2014 ro@suse.de
- re-add missing function str2utf8xml
* Tue Mar  4 2014 ro@suse.de
- add appdata.xml.gz and app-icons.tar.gz if exising
* Tue Mar  4 2014 ro@suse.de
- drop use of BSUtil.pm
- drop private copy of ABXML.pm (will be added to inst-source-utils)
* Wed Feb 26 2014 ro@suse.de
- first working version
* Tue Feb 25 2014 ro@suse.de
- created initial package
